Bug 167696 - CVE-2005-2800 SCSI proc DoS
Summary: CVE-2005-2800 SCSI proc DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard: ublic=20050827,source=vendorsec,impac...
Keywords: Security
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-09-07 10:09 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 08:32:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0101 normal SHIPPED_LIVE Important: kernel security update 2006-01-17 05:00:00 UTC

Description Mark J. Cox 2005-09-07 10:09:46 UTC
"Memory leak in the seq_file implemenetation in the SCSI procfs interface (sg.c)
in Linux kernel 2.6.13 and earlier allows local users to cause a denial of
service (memory consumption) via certain repeated reads from the
/proc/scsi/sg/devices file, which is not properly handled when the next()
iterator returns NULL or an error."

Affects: RHEL4

Fix: Upstream at
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=729d70f5dfd663b44bca68a4479c96bde7e535d

Comment 1 Doug Ledford 2005-10-18 17:28:32 UTC
Fix is being tested now.

Comment 2 Doug Ledford 2005-10-18 23:18:15 UTC
Fix passed my testing, submitted internally for inclusion.

Comment 7 Red Hat Bugzilla 2006-01-17 08:32:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html



Note You need to log in before you can comment on or make changes to this bug.